/* Fonts  */
@font-face {
    font-family: poppins;
    src: url("../fonts/Poppins-Regular.ttf");
}

* {
    box-sizing: border-box;
    font-family: poppins;
}

body {
    margin: 0;
    padding: 0;
}

hr {
    width: 80%;
    margin: 40px auto;
}
/* PRE LOADER  */
.preloader {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: white;
    z-index: 333;
}
.loader {
	position: relative;
	margin: 75px auto;
	width: 150px;
	height: 150px;
	display: block;
	overflow: hidden;
}
.loader div {
    height: 100%;
}
.loader3,
.loader3 div {
	border-radius: 50%;
	padding: 8px;
	border: 2px solid transparent;
	animation: rotate linear 3.5s infinite;
	border-top-color: rgb(21, 202, 21);
	border-left-color: rgb(26, 192, 26);
	animation-timing-function: cubic-bezier(0.55, 0.38, 0.21, 0.88);
	animation-duration: 3s;
}
@keyframes rotate {
	0% {
		transform: rotate(0deg);
	}
	50% {
		transform: rotate(180deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

/* CONTAINER  */

.container {
    max-width: 1440px;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
}

.head_bg {
    position: relative;
}
.head_bg > img {
    object-fit: contain;
    /* position: absolute; */
    top: 0;
    left: 0;
    z-index: 0;
    width: 100%;
    height: auto;
}

/* HEADER  */
.header {
    padding-top: 50px;
    margin: auto;
    position: absolute;
    top: 0;
    z-index: 1;
}
/* MENU AND CROSS  */
.menu, .cross {
    border: none;
    background: transparent;
    color: white;
    font-size: 25px;
    display: none;
    position: absolute;
    top: 20px;
    right: 20px;
}

.cross {
    position: absolute;
    top: 20px;
    right: 20px;
}

/* NAVBAR  */
.nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 1;
}
.nav a {
    color: white;
    text-decoration: none;
    margin: 0 20px;
    /* font-weight: bold; */
    font-size: 17px;
}
.nav a:hover {
    background-clip: text;
    -webkit-background-clip: text;
    background-image: linear-gradient(to right, #2AF598, #009EFD);
    color: transparent;
}

/* CONTENT  */
.content {
    text-align: center;
    color: white;
    padding-top: 40px;
    position: relative;
    z-index: 1;
}
.content h1 {
    margin: auto;
    width: 70%;
    font-size: 60px;
}
.content p {
    padding: 20px 0;
    margin: auto;
    width: 30%;
}

/* search bar  */
.search {
    margin: auto;
    background: rgba(228, 227, 227, 0.253);
    border: 3px solid rgba(194, 194, 194, 0.589);
    border-radius: 50px;
    padding: 6px 10px 6px 15px;
    display: flex;
    width: fit-content;
}
.search input {
    background: transparent;
    color: white;
    border: none;
    outline: none;
}
.search input::placeholder {
    color: white;
}
.search a {
    color: white;
    text-decoration: none;
    background-image: linear-gradient(to right, #2AF598, #009EFD);
    width: 25px;
    height: 25px;
    border-radius: 50%;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* SERVICES SECTION  */
.services {
    padding: 50px 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

.service_wrap {
    display: flex;
}
.service_wrap h3 {
    margin: 0;
}
.service_wrap p {
    margin: 0;
    color: grey;
    font-size: 15px;
}
.image {
    padding: 10px;
}
.service_text {
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* PRODUCT SECTION  */
.product_section {
    display: flex;
    flex-wrap: wrap;
    padding: 50px 5%;
}

.product_start {
    width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.product_start h2 {
    font-size: 50px;
    font-weight: 500;
    margin-top: 50px;
}
.product_start button {
    border: none;
    background: transparent;
    border-radius: 50px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: auto;
}
.product_start button:hover {
    background:rgba(194, 194, 194, 0.389);
}
.product_start button img {
    width: 13%;
    margin-left: 10px;
}

.product_end {
    width: 70%;
    padding: 100px 100px 0;
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    overflow-x: scroll;
}
.product_end::-webkit-scrollbar {
    display: none;
}
.move_arrow {
    position: absolute;
    right: 20px;
    border-radius: 50%;
    background-color: rgba(175, 177, 179, 0.13);
    padding: 10px 10px 0 10px;
}
.move_arrow:hover {
    background-color: rgba(175, 177, 179, 0.33);
}

/* PRODUCT CARD  */
.card_wrapper {
    background-color: #C1D0E4;
    width: 200px;
    margin: 0 30px;
    border-radius: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.card_wrapper > img {
    width: 200px;
    margin: auto;
    margin-top: -100px;
}

.data_area {
    height: 100%;
    border-radius: 40px;
    padding: 20px;
    background: white;
    display: flex;
    flex-direction: column;
}
.title h3 {
    margin: 0
}
.title img{
    width: 40%;
}

.wishlist {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 50px;
}
.wishlist img {
    width: 40px;
    height: 40px;
}

/* INTERIOR PLAN  */
.interior_plan {
    text-align: center;
    padding: 50px;
}
.interior_plan > h1 {
    margin: 0;
}
.interior_plan > p {
    color: gray;
    margin: 0;
}

.plan_wrap {
    padding: 50px 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.img1, .img2, .img3 {
    border-radius: 18px;
    max-width: 500px;
    margin: 20px;
}

.hover_eff {
    position: relative;
    overflow: hidden;
}
.hover_eff img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.appear {
    transition: all 1s ease-in-out;
    width: 100%;
    height: 100%;
    border-radius: 20px;
    font-size: 17px;
    font-weight: bold;
    color: white;
    letter-spacing: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(2, 0, 0, 0.337);
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}
.hover_eff:hover .appear {
    opacity: 1;
}


/* CARE SECTION  */
.care_section {
    display: flex;
    padding: 0 5% 50px;
    align-items: center;
}
.care_img {
    position: relative;
}
.care_img img{
    width: 90%;
}

/* list styling done using service section class  */

/* FOOTER  */
footer {
    background: linear-gradient(to top right, #566270, #283444);
    padding: 5% 0 0;
}
.links {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}
.newsletter {
    padding-left: 10%;
    padding-bottom: 25px;
}
.newsletter h1 {
    color: white;
    font-weight: 400;
}
.gridd {
    display: grid;
    gap: 3px;
    color: white;
}

.gridd a, .gridd p {
    color: rgb(197, 196, 196);
    font-size: 15px;
    text-decoration: none;    
}


.subscribe {
    background: rgba(228, 227, 227, 0.253);
    border: 3px solid rgba(194, 194, 194, 0.589);
    border-radius: 50px;
    padding: 6px 10px 6px 15px;
    display: flex;
    width: fit-content;
}
.subscribe input {
    background: transparent;
    color: white;
    border: none;
    outline: none;
}
.subscribe input::placeholder {
    color: white;
}
.subscribe a {
    color: white;
    text-decoration: none;
    background-image: linear-gradient(to right, #2AF598, #009EFD);
    border-radius: 50px;
    padding: 5px 10px;
    font-size: 12px;
}

.dev {
    text-align: center;
    color: white;
    margin: 0;
    padding-bottom: 20px;
}
